package xaero.rotatenjump.game.levels;

import xaero.rotatenjump.game.Game;
import xaero.rotatenjump.game.Level;
import xaero.rotatenjump.game.object.Coin;
import xaero.rotatenjump.game.object.Platform;

/**
 * Created by xaero on 10/07/2017.
 */

public class Level2 extends Level {

    public Level2(){
        buttonText = "2";
        winOnAttach = true;
        scoreboardX = -500;
        scoreboardY = 0;
        threeStarTime = 180;
    }

    @Override
    public void constructLevel(Game game) {
        super.constructLevel(game);
        game.gameStarted = false;
        add(game, new Coin(50, 50));
        add(game, new Platform(120, 120, 8, 0, 35f, -1.5f));
        add(game, new Coin(0, 190));
        add(game, new Platform(0, 260, 5, 0, 20f, -1.5f));
        add(game, new Coin(80, 190));
    }
}
